Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		slang
Version:	2.2.2
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.jedsoft.org
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	A powerful interpreted language.

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: libpng-devel
BuildRequires: pcre-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
S-Lang is a multi-platform programmer's library designed to allow a developer to create robust multi-platform software.
It provides facilities required by interactive applications such as display/screen management, keyboard input, keymaps,
and so on. The most exciting feature of the library is the slang interpreter that may be easily embedded into a program
to make it extensible.
For more details see: http://www.jedsoft.org

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version} 

%build
./configure --prefix=%_prefix \
--with-pcre \
--with-png \
--includedir=%_includedir/slang \
--bindir=%_bindir \
--sysconfdir=%_sysconfdir \
--libdir=%_libdir \
--mandir=%_mandir \
--with-pcreinc=/usr/include \
--with-pcrelib=/lib
make elf ELF_CFLAGS="-O2 -march=pentium3 -msse -mfpmath=sse -pipe -fomit-frame-pointer -fPIC"
make all CFLAGS="-O2 -march=pentium3 -msse -mfpmath=sse -pipe -fomit-frame-pointer"
make -C slsh DL_LIB="-ldl" ARCH="elf" CFLAGS="-O2 -march=pentium3 -msse -mfpmath=sse -pipe -fomit-frame-pointer"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_datadir/%{name}-%{version},%_bindir}
make install DESTDIR=$RPM_BUILD_ROOT
make install-elf DESTDIR=$RPM_BUILD_ROOT
#make install-links DESTDIR=$RPM_BUILD_ROOT
install slsh/slsh $RPM_BUILD_ROOT%_bindir
cp -a modules examples demo src/curses $RPM_BUILD_ROOT%_datadir/%{name}-%{version}
rm -Rf $RPM_BUILD_ROOT{%_datadir/doc,%_datadir/slsh/local-packages}
# chmod libs for better rpm dependency
chmod +x $RPM_BUILD_ROOT%_libdir/lib*.so* $RPM_BUILD_ROOT%_libdir/%{name}/v2/modules/*.so
# strip debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%_sysconfdir/slsh.rc
%_bindir/slsh
%_libdir/libslang.so.*
%{_libdir}/slang
%{_datadir}/slang-%{version}
%{_datadir}/slsh
%{_mandir}/man1/slsh.1.gz

%files devel
%defattr(-,root,root)
%_libdir/libslang.so
%{_includedir}/slang
%{_pkgconfig}/slang.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Version update
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.4-2
- Moved necessary files to main package
* Mon Sep 26 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.4-1
- Update to Version 2.0.4
